package com.fdkankan.scene.service;

import com.fdkankan.scene.vo.SceneBySnCodeVo;
import com.fdkankan.scene.vo.SceneNumVo;

import java.util.List;

/**
 * <p>
 * TODO
 * </p>
 *
 * @author dengsixing
 * @since 2022/1/14
 **/
public interface IFdkkLaserService {

    void updateSceneStatus(String sceneCode,int status);

    void disableCooperation(String snCode, String cooperationUserName);

    void enableCameraCooperation(String snCode, String cooperationUserName);

    SceneNumVo getLaserSceneNumByUser(String token);

    List<SceneBySnCodeVo> getScenesBySnCode(String snCode, String token);

    Integer getLaserSceneNum(String snCode);
}
